Bug 107381 - Default cell style colors shouldnt be included as document colors
Summary: Default cell style colors shouldnt be included as document colors
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Calc-Styles Document-Colors-Palette
  Show dependency treegraph
 
Reported: 2017-04-24 09:56 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-08-28 02:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-04-24 09:56:19 UTC
Colors from the new default cell styles (bug 90937) are being used in the color picker's 'document colors' palette.

Steps:
1) Open Calc
2) Open the font color color picker widget in the toolbar
3) Switch to document colors palette

Version: 5.4.0.0.alpha0+
Build ID: f0340e3dca1091accdb71e0c566b96cdf9e0f791
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-21_13:34:48
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Thomas Lendo 2017-04-25 09:42:21 UTC
Right, colors shouldn't be shown until the use has assigned a style with color to a cell.

In Writer it's the same. I think that was desired or forgotten when programmed because default style has no color until now. You can test it: Change the color of a default Writer style and don't apply it to a text - the color will be shown in the 'document colors' palette. That's a false behavior.

I plead for the same behavior in all LibO components in this case. Changing component to "LibreOffice" instead of "Calc"?
Comment 2 Yousuf Philips (jay) (retired) 2017-06-09 09:12:27 UTC
(In reply to Thomas Lendo from comment #1)
> In Writer it's the same. I think that was desired or forgotten when
> programmed because default style has no color until now. You can test it:
> Change the color of a default Writer style and don't apply it to a text -
> the color will be shown in the 'document colors' palette. That's a false
> behavior.

If you change the color of the default paragraph style, then it should be in the 'document colors'. This is the correct behaviour. In Writer we have colors on character styles like 'internet link', 'visited internet link', and 'placeholder', but those dont show up in 'document colors' when you create a new document.
Comment 3 Thomas Lendo 2017-06-09 10:10:49 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> If you change the color of the default paragraph style, then it should be in
> the 'document colors'. This is the correct behaviour.
Document color palette should only show the colors of applied styles, not of not-yet-used style colors. Also Writer paragraph style colors shouldn't be shown until that style is applied to content - same behavior as with character styles.
Comment 4 QA Administrators 2018-08-28 02:42:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug